clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions | Variables
ReadabilityTidyModule.cpp File Reference
`#include "../ClangTidy.h"`
`#include "../ClangTidyModule.h"`
`#include "../ClangTidyModuleRegistry.h"`
`#include "BracesAroundStatementsCheck.h"`
`#include "ContainerSizeEmptyCheck.h"`
`#include "ElseAfterReturnCheck.h"`
`#include "FunctionSizeCheck.h"`
`#include "IdentifierNamingCheck.h"`
`#include "ImplicitBoolCastCheck.h"`
`#include "InconsistentDeclarationParameterNameCheck.h"`
`#include "NamedParameterCheck.h"`
`#include "RedundantSmartptrGetCheck.h"`
`#include "RedundantStringCStrCheck.h"`
`#include "SimplifyBooleanExprCheck.h"`
`#include "UniqueptrDeleteReleaseCheck.h"`
Include dependency graph for ReadabilityTidyModule.cpp:

Go to the source code of this file.

## Classes
class | clang::tidy::readability::ReadabilityModule

## Namespaces
| clang
| clang::tidy
| clang::tidy::readability

## Functions
static ClangTidyModuleRegistry::Add < ReadabilityModule > | clang::tidy::readability::X ("readability-module","Adds readability-related checks.")

## Variables
volatile int | clang::tidy::ReadabilityModuleAnchorSource = 0